Author Topic: CB no longer seem to build anymore on my linux box due to NVIDIA drivers  (Read 1217 times)

Offline killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5177
Is anyone else experiencing problems ?

This is the problem I am running into :

Code: [Select]
make[3]: Entering directory '/home/killerbot/Codeblocks/trunk/src/src'
/bin/sh ../../libtool  --tag=CXX   --mode=link g++ -std=c++11  -Wno-unused-local-typedefs -O2 -ffast-math -DCB_AUTOCONF -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions  -Wl,--no-undefined  -o codeblocks app.o appglobals.o backtracedlg.o breakpointsdlg.o compilersettingsdlg.o cpuregistersdlg.o crashhandler.o debugger_interface_creator.o debuggermenu.o debuggersettingscommonpanel.o debuggersettingsdlg.o debuggersettingspanel.o disassemblydlg.o dlgabout.o dlgaboutplugin.o editkeywordsdlg.o editorconfigurationdlg.o environmentsettingsdlg.o examinememorydlg.o find_replace.o infopane.o main.o notebookstyles.o prefix.o printdlg.o projectmanagerui.o projectdepsdlg.o projectoptionsdlg.o recentitemslist.o scriptconsole.o scriptingsettingsdlg.o splashscreen.o startherepage.o switcherdlg.o threadsdlg.o virtualbuildtargetsdlg.o watchesdlg.o ../sdk/libcodeblocks.la -L/usr/lib64/wx-2.8-wxcontainer -pthread  -Wl,-rpath,/usr/lib64/wx-2.8-wxcontainer  -L/usr/lib64   -Wl,-rpath,/usr/lib64/wx-2.8-wxcontainer -lwx_gtk2u_richtext-2.8 -lwx_gtk2u_aui-2.8 -lwx_gtk2u_xrc-2.8 -lwx_gtk2u_qa-2.8 -lwx_gtk2u_html-2.8 -lwx_gtk2u_adv-2.8 -lwx_gtk2u_core-2.8 -lwx_baseu_xml-2.8 -lwx_baseu_net-2.8 -lwx_baseu-2.8  -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype  -lpthread -ldl
libtool: link: g++ -std=c++11 -Wno-unused-local-typedefs -O2 -ffast-math -DCB_AUTOCONF -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions -Wl,--no-undefined -o .libs/codeblocks app.o appglobals.o backtracedlg.o breakpointsdlg.o compilersettingsdlg.o cpuregistersdlg.o crashhandler.o debugger_interface_creator.o debuggermenu.o debuggersettingscommonpanel.o debuggersettingsdlg.o debuggersettingspanel.o disassemblydlg.o dlgabout.o dlgaboutplugin.o editkeywordsdlg.o editorconfigurationdlg.o environmentsettingsdlg.o examinememorydlg.o find_replace.o infopane.o main.o notebookstyles.o prefix.o printdlg.o projectmanagerui.o projectdepsdlg.o projectoptionsdlg.o recentitemslist.o scriptconsole.o scriptingsettingsdlg.o splashscreen.o startherepage.o switcherdlg.o threadsdlg.o virtualbuildtargetsdlg.o watchesdlg.o -pthread -Wl,-rpath -Wl,/usr/lib64/wx-2.8-wxcontainer -Wl,-rpath -Wl,/usr/lib64/wx-2.8-wxcontainer  ../sdk/.libs/libcodeblocks.so -L/usr/lib64/wx-2.8-wxcontainer -L/usr/lib64 /usr/lib64/wx-2.8-wxcontainer/libwx_gtk2u_richtext-2.8.so /usr/lib64/wx-2.8-wxcontainer/libwx_gtk2u_aui-2.8.so /usr/lib64/wx-2.8-wxcontainer/libwx_gtk2u_xrc-2.8.so /usr/lib64/wx-2.8-wxcontainer/libwx_gtk2u_qa-2.8.so /usr/lib64/wx-2.8-wxcontainer/libwx_gtk2u_html-2.8.so /usr/lib64/wx-2.8-wxcontainer/libwx_gtk2u_adv-2.8.so /usr/lib64/wx-2.8-wxcontainer/libwx_gtk2u_core-2.8.so /usr/lib64/wx-2.8-wxcontainer/libwx_baseu_xml-2.8.so /usr/lib64/wx-2.8-wxcontainer/libwx_baseu_net-2.8.so /usr/lib64/wx-2.8-wxcontainer/libwx_baseu-2.8.so -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype -lpthread -ldl -pthread -Wl,-rpath -Wl,/usr/lib64/wx-2.8-wxcontainer
/usr/lib64/libnvidia-glcore.so.367.27: undefined reference to `nv_vasprintf_alloc'
/usr/lib64/libnvidia-glcore.so.367.27: undefined reference to `nv_vasprintf_vsnprintf'
/usr/lib64/libnvidia-glcore.so.367.27: undefined reference to `nv_vasprintf_free'
collect2: error: ld returned 1 exit status
Makefile:678: recipe for target 'codeblocks' failed


it seems many software is being broken due to nvidia driver updates, so just that you are aware of it  :-\

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 11899
    • Travis build status
Looks like a broken packaging. I'm on old drivers, so I don't know if I'm affected. But my works centos 6 works fine with 36x.xx drivers.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]